Bug 119510 - cups filters generate AVC messges on access to font directories.
Summary: cups filters generate AVC messges on access to font directories.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 122683
TreeView+ depends on / blocked
 
Reported: 2004-03-30 23:44 UTC by Aleksey Nogin
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 15:04:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-03-30 23:44:54 UTC
When printing I see AVC that appear to be in need of fixing.

Mar 30 15:42:33 dell kernel: audit(1080690153.824:0): avc:  denied  {
getattr } for  pid=3650 exe=/usr/bin/gs path=/usr/share/fonts dev=hda2
ino=114501 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:fonts_t tclass=dir
Mar 30 15:42:33 dell kernel: audit(1080690153.824:0): avc:  denied  {
read } for  pid=3650 exe=/usr/bin/gs name=fonts dev=hda2 ino=114501
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:fonts_t
tclass=dir
Mar 30 15:42:33 dell kernel: audit(1080690153.825:0): avc:  denied  {
getattr } for  pid=3650 exe=/usr/bin/gs
path=/usr/X11R6/lib/X11/fonts/Type1 dev=hda2 ino=1193839
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:fonts_t
tclass=dir
Mar 30 15:42:33 dell kernel: audit(1080690153.825:0): avc:  denied  {
read } for  pid=3650 exe=/usr/bin/gs name=Type1 dev=hda2 ino=1193839
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:fonts_t
tclass=dir
Mar 30 15:42:33 dell kernel: audit(1080690153.825:0): avc:  denied  {
getattr } for  pid=3650 exe=/usr/bin/gs
path=/usr/X11R6/lib/X11/fonts/OTF dev=hda2 ino=4366585
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:fonts_t
tclass=dir
Mar 30 15:42:33 dell kernel: audit(1080690153.825:0): avc:  denied  {
read } for  pid=3650 exe=/usr/bin/gs name=OTF dev=hda2 ino=4366585
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:fonts_t
tclass=dir

Comment 1 Daniel Walsh 2004-03-31 03:23:46 UTC
Fixed in policy-1.9.1-4



Note You need to log in before you can comment on or make changes to this bug.